### Function

# GObject flags_get_value_by_nick

#### Declaration [src]

    GFlagsValue*
    g_flags_get_value_by_nick (
      GFlagsClass* flags_class,
      const gchar* nick
    )

#### Description [src]

Looks up a `GFlagsValue` by nickname.

#### Parameters

`flags_class`

  Type: `GFlagsClass`

  A `GFlagsClass`.

  The data is owned by the caller of the function.

`nick`

  Type: `const gchar*`

  The nickname to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFlagsValue`

The `GFlagsValue` with nickname `nick`, or `NULL` if there is no flag with that nickname.

The data is owned by the called function.
The return value can be `NULL`.